[Snort-users] error while loading shared libraries: libdnet.1:

SnortFan SnortFan at ...131...
Mon Jan 27 12:17:45 EST 2014


Hi All,
     When trying to start snort, I get the following errors.

Starting SNORTD p2p2 (snort): /usr/local/bin/snort: error while loading shared libraries: libdnet.1: cannot open shared object file: No such file or directory

I just upgraded from 2.9.4.5 to 2.9.6.0.
I can get past this error by adding the environment variable:

export LD_LIBRARY_PATH=/usr/local/lib

but, I never had to do that before. Here is my "ldd snort" before adding the environment var:

ldd snort
    linux-vdso.so.1 =>  (0x00007fffa2acd000)
    libdnet.1 => not found
    libcrypto.so.10 => /usr/lib64/libcrypto.so.10 (0x000000339a400000)
    libpcre.so.0 => /lib64/libpcre.so.0 (0x00000033a1000000)
    libnsl.so.1 => /lib64/libnsl.so.1 (0x0000003399c00000)
    libm.so.6 => /lib64/libm.so.6 (0x0000003397000000)
    libdl.so.2 => /lib64/libdl.so.2 (0x0000003396000000)
    libsfbpf.so.0 => /usr/local/lib/libsfbpf.so.0 (0x00007f51671b4000)
    libpcap.so.1 => /usr/local/lib/libpcap.so.1 (0x00007f5166f76000)
    libz.so.1 => /lib64/libz.so.1 (0x0000003396c00000)
    libpthread.so.0 => /lib64/libpthread.so.0 (0x0000003396800000)
    libc.so.6 => /lib64/libc.so.6 (0x0000003396400000)
    /lib64/ld-linux-x86-64.so.2 (0x0000003395c00000)

What did I do wrong then upgrading? I compiled and installed the new daq and snort. I would rather not have to specify the LD_LIBRARY_PATH, it's not that way on any of my other servers that I'm going to be upgrading. My test server that was a clean install didn't need it.

Thanks,
Ed

Sent from a mobile device. 
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-users/attachments/20140127/323b69b6/attachment.html>


More information about the Snort-users mailing list